%define major 10
# Version of glib needed
%define req_glib2_version 1.3.13

Name: atk
Version: 0.%{major}
Release: 1mdk
Summary: Accessibility features for Gtk+.
License: LGPL
Group: Accessibility
Url: http://developer.gnome.org/projects/gap/
Source: ftp://ftp.gtk.org/pub/gtk/v1.3/%name-%version.tar.bz2
Buildroot: %_tmppath/%name-%{version}-root
BuildRequires: libglib2-devel >= %{req_glib2_version}
BuildRequires: pkgconfig >= 0.8
Conflicts: libgtk+2 < 1.3.12

%description
Accessibility means providing system infrastructure that allows add-on
assistive software to transparently provide specalized input and ouput
capabilities. For example, screen readers allow blind users to navigate
through applications, determine the state of controls, and read text via
text to speech conversion. On-screen keyboards replace physical
keyboards, and head-mounted pointers replace mice.

ATK, the Accessibility Tookit, is used to obtain accessibily information
from GTK+ and GNOME widgets.

%package -n lib%{name}%{major}
Summary: Accessibility features for Gtk+.
Group: System/Libraries
Requires: common-licenses
Provides: %{name} = %{version}
Obsoletes: %{name}

%description -n lib%{name}%{major}
Accessibility means providing system infrastructure that allows add-on
assistive software to transparently provide specalized input and ouput
capabilities. For example, screen readers allow blind users to navigate
through applications, determine the state of controls, and read text via
text to speech conversion. On-screen keyboards replace physical
keyboards, and head-mounted pointers replace mice.

%package -n lib%{name}%{major}-devel
Summary: Stuff for developing with atk.
Group: Development/C
Obsoletes: %{name}-devel
Provides: %{name}-devel = %{version}
Provides: lib%{name}-devel = %{version}
Requires: lib%{name}%{major} =  %{version}
Requires: libglib2-devel >= %{req_glib2_version}

%description -n lib%{name}%{major}-devel
ATK, the Accessibility Tookit, is used to obtain accessibily information
from GTK+ and GNOME widgets.

%prep
%setup -q 

%build
%configure2_5x --enable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# (fc) 0.6-1mdk don't ship libteststateset
rm -f $RPM_BUILD_ROOT%{_libdir}/libtest*.so

%clean
rm -rf $RPM_BUILD_ROOT

%post -n lib%{name}%{major} -p /sbin/ldconfig

%postun -n lib%{name}%{major} -p /sbin/ldconfig


%files -n lib%{name}%{major}
%defattr(-,root,root)
%doc README
%{_libdir}/*.so.*

%files -n lib%{name}%{major}-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS
%doc %{_datadir}/gtk-doc/html/atk
%{_includedir}/atk-1.0
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*

%changelog
* Mon Feb  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-1mdk
- Release 0.10

* Thu Jan 31 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.8-2mdk
- added Conflicts < libgtk+2-1.3.12-4mdk

* Mon Jan  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Release 0.8

* Fri Dec 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-2mdk
- Compile static libraries
- Clean specfile with help of Abel Cheung <maddog@linux.org.hk> :
 -Remove COPYING
 - Corrected Group and URL, more verbose description from GAP
 - Remove buildroot during start of install section
 - Running autoconf seems not necessary
 - No need to obsolete libatk0 now

* Tue Dec 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7

* Wed Nov  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-1mdk
- Release 0.6

* Tue Oct 16 2001 Daouda LO <daouda@mandrakesoft.com> 0.5-2mdk
- better libification.
- spec cleanup

* Tue Oct 16 2001 DindinX <odin@mandrakesoft.com> 0.5-1mdk
- 0.5

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 0.2-5mdk
- BuildRequires pkgconfig
- libglib1.3.6-devel --> libglib2-devel, libglib1.3_6-devel now provides
  libglib2-devel
  
* Sat Aug 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.2-4mdk
- Sanity build for 8.1.

* Thu Aug 02 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2-3mdk
- rebuild with aclocal/autoconf

* Fri Jul 06 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2-2mdk
- relink with glib

* Fri Jul 06 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2-1mdk
- updated to 0.2

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1-6mdk
- remove BuildRequires: glib-devel
- BuildRequires: libglib2-devel

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1-5mdk
- BuildRequires: glib-devel

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1-4mdk
- BuildRequires: pango-devel

* Tue Jun 05 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.1-3mdk
- Rebuild so that it is built for the i586 architecture (Peter Polman).

* Fri May 11 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1-2mdk
- rebuild to link agaisnt new libglib2

* Sun May 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.1-1mdk
- First attempt for Gtk+.


